Get audience

This endpoint returns the main audience number for the following services:

  • Spotify (followers)
  • Deezer (fans)
  • YouTube (views)
  • Boomplay (favorites)

All of these metrics are listed in the “latestSubscriberCount” data point.

All playlist types are listed in this article from our help center.

Need to get the playlist UUID? Use the Get playlist by platform ID or Search playlist by name endpoint.

Request

GET /api/v2.20/playlist/{uuid}/audience

Path parameters

Parameter Value Description Additional
uuid string A playlist UUID Required

Query string parameters

Parameter Value Description Additional
startDate string Period start date (Format YYYY-MM-DD). Example : 2019-01-31 Optional
endDate string Period end date (Format YYYY-MM-DD). Example : 2019-01-31 Optional

Response

Code Description Resource
200 OK

A playlist audience plots collection

Audience Plot Collection
400 Bad Request

Invalid period

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Playlist not found

Explore

A playlist UUID

Period start date (Format YYYY-MM-DD). Example : 2019-01-31

Period end date (Format YYYY-MM-DD). Example : 2019-01-31

Try it out